io.etcd.jetcd.api

## Interface MemberOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Member, Member.Builder

    public interface MemberOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getClientURLs(int index)` clientURLs is the list of URLs the member exposes to clients for communication.
`com.google.protobuf.ByteString` `getClientURLsBytes(int index)` clientURLs is the list of URLs the member exposes to clients for communication.
`int` `getClientURLsCount()` clientURLs is the list of URLs the member exposes to clients for communication.
`List<String>` `getClientURLsList()` clientURLs is the list of URLs the member exposes to clients for communication.
`long` `getID()` ID is the member ID for this member.
`String` `getName()` name is the human-readable name of the member.
`com.google.protobuf.ByteString` `getNameBytes()` name is the human-readable name of the member.
`String` `getPeerURLs(int index)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`com.google.protobuf.ByteString` `getPeerURLsBytes(int index)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`int` `getPeerURLsCount()` peerURLs is the list of URLs the member exposes to the cluster for communication.
`List<String>` `getPeerURLsList()` peerURLs is the list of URLs the member exposes to the cluster for communication.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getID

    long getID()

     ID is the member ID for this member.

`uint64 ID = 1;`

Returns:
  The iD.

#### getName

    String getName()

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Returns:
  The bytes for name.

#### getPeerURLsList

    List<String> getPeerURLsList()

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Returns:
  A list containing the peerURLs.

#### getPeerURLsCount

    int getPeerURLsCount()

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Returns:
  The count of peerURLs.

#### getPeerURLs

    String getPeerURLs(int index)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The peerURLs at the given index.

#### getPeerURLsBytes

    com.google.protobuf.ByteString getPeerURLsBytes(int index)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the peerURLs at the given index.

#### getClientURLsList

    List<String> getClientURLsList()

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Returns:
  A list containing the clientURLs.

#### getClientURLsCount

    int getClientURLsCount()

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Returns:
  The count of clientURLs.

#### getClientURLs

    String getClientURLs(int index)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The clientURLs at the given index.

#### getClientURLsBytes

    com.google.protobuf.ByteString getClientURLsBytes(int index)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the clientURLs at the given index.